# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json
description: 'Vertex Claude Agent SDK Analysis'

prompts:
  - 'Analyze this code and list any potential issues: ```{{code}}```'

providers:
  - id: vertex:claude-opus-4-6
    label: Claude 4.6 Opus
    config:
      region: us-east5
  - id: vertex:claude-sonnet-4-6
    label: Claude Sonnet 4.6
    config:
      region: us-east5
  - id: vertex:claude-haiku-4-5@20251001
    label: Claude 4.5 Haiku
    config:
      region: us-east5
  - id: vertex:claude-opus-4-1@20250805
    label: Claude 4.1 Opus
    config:
      region: us-east5
  - id: vertex:claude-opus-4@20250514
    label: Claude 4 Opus
    config:
      region: us-east5
tests:
  - vars:
      code: |
        def calculate_average(numbers):
            total = 0
            for num in numbers:
                total += num
            return total / len(numbers)
  - vars:
      code: |
        def fibonacci(n):
            if n <= 1:
                return n
            return fibonacci(n-1) + fibonacci(n-2)
  - vars:
      code: |
        def search_list(items, target):
            for i in range(len(items)):
                if items[i] == target:
                    return i
            return -1
